Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02399, UID# 3058
App. Status: Expired

Valid: 06/23/2021 - 06/26/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2764 (06/22/2021)

Charge Cost Quantity Total
Non-Taxable
added 06/22/2021 7:13 PM

Fee for over length permit

$30.00 x 1 $30.00
added 06/22/2021 6:15 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/22/2021 7:13 PM

Fee for over width permit

$30.00 x 1 $30.00
added 06/22/2021 6:15 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/22/2021 7:13 PM

For movement on Plant Road

$540.00 x 1 $540.00
Grand Total
Total $660.00
Payment 06/22/2021$660.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantEric Hickson - 06/22/2021 6:15 PM
3320c3b2cefe3395deaf4db0c79ac79d
9f6e96154aa76598ab6ec2723a8bccec
 
#1 Permit Issuing OfficialKen Miller - 06/22/2021 7:13 PM
b4c5757635e987a1ca4cc9be5cb0ca84
01b9f7356769e46f3e1da0b78d5c3588
 
Permit has been approved. All signatures have been obtained.